// 长笛 flute 
// 单簧管 clarinet
// 萨克斯管 saxophone
// 小号 trumpet
// 长号 trombone
// 圆号 horn
// 上低音号 upperBass
// 次中音号 tenorHorn
// 小军鼓 snareDrum
// 打击乐 idiophonic

let instruments = {
    flute: {
        name: '长笛',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 4500,
                referencePrice: 3570,
                checked: true,
                texture: '进口镍白铜管体、法式键',
                index: 2
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 3150,
                referencePrice: 2680,
                checked: false,
                texture: '白铜管体',
                index: 1
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99  // 99为自备
            }
        ],
        configuration: 'C调 表面镀银厚度：8μm  管材厚度：0.42mm',
        auxiliaries: [
            {
                name: '节拍器',
                marketPrice: 120,
                referencePrice: 95,
                checked: true,
                index: 1
            },
            {
                name: '谱架',
                marketPrice: 80,
                referencePrice: 65,
                checked: true,
                index: 2
            },
            {
                name: '乐器维护',
                marketPrice: 480,
                referencePrice: 300,
                checked: true,
                index: 8
            }
        ]
    },
    clarinet: {
        name: '单簧管',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 4580,
                referencePrice: 3650,
                checked: true,
                texture: '聚碳酸酯、蓝钢针弹簧线',
                index: 4
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 3280,
                referencePrice: 2780,
                checked: false,
                texture: '胶木',
                index: 3
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B调、八字螺丝固定键柱 按键铍铜、镍白铜 喇叭口直径：8cm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 4,
                name: '软木膏',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 5,
                name: '哨片',
                marketPrice: 150,
                checked: true,
                referencePrice: 120
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    saxophone: {
        name: '萨克斯管',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 6080,
                referencePrice: 4500,
                checked: true,
                texture: '68铜、实心保护盖、蓝钢针弹簧线',
                index: 6
            },
            {
                default: 0, // 1 为默认配置
                name: '初级配置',
                marketPrice: 4200,
                referencePrice: 3550,
                checked: false,
                texture: '/',
                index: 5
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降E调、黄铜材质、表面电泳处理 喇叭口直径：11.8cm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 4,
                name: '软木膏',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 5,
                name: '哨片',
                marketPrice: 150,
                checked: true,
                referencePrice: 120
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    trumpet: {
        name: '小号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 4800,
                referencePrice: 3650,
                checked: true,
                texture: '白铜变音管磷铜发音管',
                index: 7
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B调 特殊结构：可调试调音管控制环 喇叭口直径：123mm 内管：11.66mm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    trombone: {
        name: '长号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5550,
                referencePrice: 3870,
                checked: true,
                texture: '白铜内外伸缩管',
                index: 8
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B/F调、喇叭口：215mm、内管：13.9mm管：13.9mm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 6,
                name: '拉杆油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    horn: {
        name: '圆号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5500,
                referencePrice: 3910,
                checked: true,
                texture: '白铜变音管磷铜发音管',
                index: 9
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B/F调、结构：双排管 喇叭口直径：306mm 内管：11.5mm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    upperBass: {
        name: '上低音号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5800,
                referencePrice: 3980,
                checked: true,
                texture: '白铜变音管磷铜发音管',
                index: 10
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B调、结构：三立键 喇叭口直径：278mm、内管：13.4mm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    snareDrum: {
        name: '小军鼓',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 3700,
                referencePrice: 3190,
                checked: true,
                texture: '',
                index: 11
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '珍珠镍小军鼓，桦木鼓腔，高碳钢纱带',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            }
        ]
    },
    tenorHorn: {
        name: '次中音号',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 5800,
                referencePrice: 3980,
                checked: true,
                texture: '白铜变音管磷铜发音管',
                index: 12
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '降B调、结构：三立键 喇叭口直径：278mm、内管：13.4mm',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            },
            {
                index: 3,
                name: '活塞油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 7,
                name: '调音管油',
                marketPrice: 30,
                checked: true,
                referencePrice: 25
            },
            {
                index: 8,
                name: '乐器维护',
                marketPrice: 480,
                checked: true,
                referencePrice: 300
            }
        ]
    },
    idiophonic: {
        name: '打击乐',
        config: [
            {
                default: 1, 
                name: '标准配置',
                marketPrice: 3700,
                referencePrice: 3190,
                checked: true,
                texture: '',
                index: 13
            },
            {
                default: 0,
                name: '自备',
                marketPrice: 0,
                referencePrice: 0,
                checked: false,
                index: 99
            }
        ],
        configuration: '珍珠镍小军鼓，桦木鼓腔，高碳钢纱带',
        auxiliaries: [
            {
                index: 1,
                name: '节拍器',
                marketPrice: 120,
                checked: true,
                referencePrice: 95
            },
            {
                index: 2,
                name: '谱架',
                marketPrice: 80,
                checked: true,
                referencePrice: 65
            }
        ]
    }
}

let baseInfo = {
    other: [
        {
            name: '教材',
            marketPrice: 7680,
            referencePrice: 0
        },
        {
            name: '乐谱',
            marketPrice: 7680,
            referencePrice: 0
        }
    ]
}

export { instruments,  baseInfo}