
// 身份证号验证
export function checkIDCard(idCardNo) {
    let result = true
    //
    let idCardReg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/
    if(idCardReg.test(idCardNo) === false){
        result = false
    }
    return result
}

// 港澳居民来往内地通行证（回乡证）
export function checkPassport(idCardNo) {
    // 港澳居民来往内地通行证
    // 规则： H/M + 10位或6位数字
    // 样本： H1234567890
    let result = true
    // let idReg = /^[mMhH]\\d{10}|[mMhH]\\d{8}$/
    let idReg = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/
    if(idReg.test(idCardNo) === false) {
        result = false
    }
    return result
}

// 台湾居民来往大陆通行证（台胞证）
export function checkPassportTaiwan(idCardNo) {
    // 台湾居民来往大陆通行证
    // 规则： 新版8位或18位数字， 旧版10位数字 + 英文字母
    // 样本： 12345678 或 1234567890B
    let result = true
    let idReg = /(^\\d{8}$)|(^[a-zA-Z0-9]{10}$)|(^\\d{18}$)/
    if(idReg.test(idCardNo) === false) {
        result = false
    }
    return result
}